org.deidentifier.arx.aggregates.quality

## Class QualityModelRowOrientedDiscernibility

- java.lang.Object
- - org.deidentifier.arx.aggregates.quality.QualityModelRowOrientedDiscernibility

    public class QualityModelRowOrientedDiscernibility
    extends java.lang.Object

Implementation of the Discernibility measure, as proposed in:
R. Bayardo, R. Agrawal: "Data privacy through optimal k-anonymization" Proc Int Conf Data Engineering, 2005, pp. 217-228

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`QualityModelRowOrientedDiscernibility(WrappedBoolean interrupt, WrappedInteger progress, int totalWorkload, DataHandle input, DataHandle output, int suppressedInput, int suppressedOutput, Groupify<TupleWrapper> groupedInput, Groupify<TupleWrapper> groupedOutput, java.lang.String[][][] hierarchies, QualityDomainShare[] shares, int[] indices, QualityConfiguration config)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`QualityMeasureRowOriented` `evaluate()` Evaluates the utility measure

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QualityModelRowOrientedDiscernibility

    public QualityModelRowOrientedDiscernibility(WrappedBoolean interrupt,
                                                 WrappedInteger progress,
                                                 int totalWorkload,
                                                 DataHandle input,
                                                 DataHandle output,
                                                 int suppressedInput,
                                                 int suppressedOutput,
                                                 Groupify<TupleWrapper> groupedInput,
                                                 Groupify<TupleWrapper> groupedOutput,
                                                 java.lang.String[][][] hierarchies,
                                                 QualityDomainShare[] shares,
                                                 int[] indices,
                                                 QualityConfiguration config)

Creates a new instance

Parameters:
  `interrupt` -
  `progress` -
  `totalWorkload` -
  `input` -
  `output` -
  `suppressedInput` -
  `suppressedOutput` -
  `groupedInput` -
  `groupedOutput` -
  `hierarchies` -
  `shares` -
  `indices` -
  `config` -

### Method Detail

#### evaluate

    public QualityMeasureRowOriented evaluate()

Evaluates the utility measure

Returns: